Page MenuHomePhabricator

[MIPS32] Emulate MSA instructions for MIPS32
ClosedPublic

Authored by slthakur on Sep 15 2015, 11:02 PM.

Details

Summary

This patch adds MSA branch instruction emulation for MIPS32.

Diff Detail

Repository
rL LLVM

Event Timeline

slthakur updated this revision to Diff 34875.Sep 15 2015, 11:02 PM
slthakur retitled this revision from to [MIPS32] Emulate MSA instructions for MIPS32.
slthakur updated this object.
slthakur added reviewers: tberghammer, jaydeep.
slthakur set the repository for this revision to rL LLVM.
tberghammer accepted this revision.Sep 16 2015, 5:18 AM
tberghammer edited edge metadata.

LGTM

source/Plugins/Instruction/MIPS/EmulateInstructionMIPS.cpp
608

(nit): Indentation

This revision is now accepted and ready to land.Sep 16 2015, 5:18 AM
jaydeep accepted this revision.Sep 22 2015, 1:08 AM
jaydeep edited edge metadata.

Looks good to me.

slthakur closed this revision.Sep 22 2015, 7:00 AM

Committed in revision 248277